### Function

# Ide get_relocatable_path

#### Declaration

    gchar*
    ide_get_relocatable_path (
      const gchar* path
    )

#### Description

Gets the path to a resource that may be relocatable at runtime.

Available since: | 3.32

#### Parameters

`path` | `const gchar*`
| A relocatable path.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gchar*`
| A new string containing the path.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.